Bug 119453 - dynamic row height in text table inside frame does not update after adding paragraph
Summary: dynamic row height in text table inside frame does not update after adding pa...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Management
  Show dependency treegraph
 
Reported: 2018-08-23 14:42 UTC by Oliver Brinzing
Modified: 2021-01-18 07:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
update_table_view_problem (11.17 KB, application/vnd.oasis.opendocument.text)
2018-08-23 14:42 UTC, Oliver Brinzing
Details
dynamic row height in text table does not update after adding paragraph (27.73 KB, image/jpeg)
2018-08-23 15:31 UTC, Oliver Brinzing
Details
update_table_view_problem_api (11.87 KB, application/vnd.oasis.opendocument.text)
2018-08-24 12:36 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Brinzing 2018-08-23 14:42:29 UTC
Created attachment 144393 [details]
update_table_view_problem

steps to reproduce:
- attached document has a frame with a text table inside. 
- press enter in cell A4 to add a second paragraph
  (this row has a dynamic height, all other rows have 0,5cm.)
- view will only update if you move mouse over it

refreshing view with .uno:Repaginate, .uno:UpdateView will not help
Comment 1 Oliver Brinzing 2018-08-23 15:31:26 UTC
Created attachment 144396 [details]
dynamic row height in text table does not update after adding paragraph
Comment 2 Dieter 2018-08-24 07:14:15 UTC
I confirm it with

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 414ef6cb187dd3bbcc917dbedf3c0c1cc8668f60
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-08-21_00:13:04
Locale: en-US (de_DE); Calc: CL

and with

Version: 4.4.7.2
Build-ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Gebietsschema: de_DE

Additional observation: row height also updates, if you presse Enter a second time.
Comment 3 Oliver Brinzing 2018-08-24 12:36:23 UTC
Created attachment 144410 [details]
update_table_view_problem_api

> row height also updates, if you presse Enter a second time.

originally the cell contained a textfield getting filled via api with text.
if the text contained a LF (= 2 lines), the problem occured.

adding an basic example, it seems, a 
  oDocument.TextFields.refresh()
followed by 
  oDocument.refresh() 
will update the view.
Comment 4 QA Administrators 2019-09-02 09:20:37 UTC Comment hidden (obsolete)
Comment 5 Oliver Brinzing 2019-09-02 16:54:03 UTC
reproducible with:

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 1c7fdf561bc924741a121439a6cb42f96f285b58
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 6 Oliver Brinzing 2020-12-09 08:43:33 UTC
it seems, this issue has been fixed:
I can not reproduce it with: LO 7.0.2.2, LO 6.3.6.2

(but it is reproducible with LO 6.2.8.2)
Comment 7 Dieter 2020-12-09 09:39:49 UTC
(In reply to Oliver Brinzing from comment #6)
> it seems, this issue has been fixed:
> I can not reproduce it with: LO 7.0.2.2, LO 6.3.6.2

=> RESOLVED WORKSFORME
Comment 8 Samuel Mehrbrodt (allotropia) 2020-12-14 09:59:54 UTC
This has been fixed with the following commit:
https://git.libreoffice.org/core/+/c56bf1479cc71d1a2b0639f6383e90c1f7e3655b%5E%21

(Bug 105330)
Comment 9 Dieter 2021-01-18 07:07:54 UTC
Verified with

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 9f9798f07f0b56ae474f31ded671cc8da598d244
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: threaded